Skip to main content
GET
/
api
/
v1
/
metrics
/
executions
/
{id.project}
/
{id.domain}
/
{id.name}
Fetches runtime metrics for a :ref:`ref_flyteidl.admin.Execution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}
{
  "span": {
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z",
    "workflow_id": {
      "project": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "org": "<string>"
    },
    "node_id": {
      "node_id": "<string>",
      "execution_id": {
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "org": "<string>"
      }
    },
    "task_id": {
      "task_id": {
        "resource_type": "UNSPECIFIED",
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "version": "<string>",
        "org": "<string>"
      },
      "node_execution_id": {
        "node_id": "<string>",
        "execution_id": {
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "org": "<string>"
        }
      },
      "retry_attempt": 123
    },
    "operation_id": "<string>",
    "spans": "<array>"
  }
}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User or system provided value for the resource.

Query Parameters

id.org
string

Optional, org key applied to the resource.

depth
integer<int32>

depth defines the number of Flyte entity levels to traverse when breaking down execution details.

Response

A successful response.

WorkflowExecutionGetMetricsResponse represents the response containing metrics for the specified workflow execution.

span
object

Span represents a duration trace of Flyte execution. The id field denotes a Flyte execution entity or an operation which uniquely identifies the Span. The spans attribute allows this Span to be further broken down into more precise definitions.